## $Id: pdf.py 16263 2020-10-01 06:54:58Z henrik $
##
## Copyright (C) 2012 Uli Fouquet & Henrik Bettermann
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2 of the License, or
## (at your option) any later version.
## 
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
## 
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
##
"""
Reusable components for pdf generation.
"""

import os
from string import Template
from waeup.kofa.browser.pdf import PDFCreator

class CustomPDFCreator(PDFCreator):
    """A utility to help with generating PDF docs.
    """

    header_logo_path = os.path.join(
        os.path.dirname(__file__), 'static', 'pdf_logo.jpg')
    watermark_path = os.path.join(
        os.path.dirname(__file__), 'static', 'pdf_watermark.jpg')

    watermark_pos = [45, 140]
    logo_pos = [520, 630, 60]

    signature_benji_img_path = os.path.join(
        os.path.dirname(__file__), 'static', 'benji_signature.png')

    def _substitute_markers(self, text):
        """
        """
        text = Template(text)
        PDF_SIGNATURES =  {
            'signature_benji_img_path': self.signature_benji_img_path,
            }
        return text.safe_substitute(PDF_SIGNATURES)
